@extends('layout')

@section('content')
    <div class="columns is-centered">
        <div class="column is-6">
            <div class="box">
                <h3 class="title is-3 has-text-centered">Create Owner</h3>
                <form method="POST" action="/devices/{{ $device->device_id }}/owners">
                    @csrf

                    <div class="field">
                        <label for="rz_username" class="label">rz_username</label>
                        <div class="control">
                            <input class="input" type="text" id="rz_username" name="rz_username" placeholder="rz_username"
                                value="{{old('rz_username')}}" required />
                        </div>
                        @error('rz_username')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field">
                        <label for="timestamp_owner_since" class="label">timestamp_owner_since</label>
                        <div class="control">
                            <input class="input" type="text" id="timestamp_owner_since" name="timestamp_owner_since" placeholder="timestamp_owner_since"
                                value="{{old('timestamp_owner_since')}}" required />
                        </div>
                        @error('timestamp_owner_since')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field is-grouped is-grouped-centered">
                        <div class="control">
                            <button class="button is-success" type="submit">Submit</button>
                        </div>
                        {{-- TODO: make a link to go back to device --}}
                        {{-- <div class="control">
                            <a class="button is-success is-light" href="/devices/{{ $device->device_id }}">Cancel</a>
                        </div> --}}
                    </div>

                </form>

            </div>
        </div>
    </div>
@endsection